local milk = silly_cheese.register.milk(
	"milk_sheep", -- name
	"Bucket of sheep milk", -- description
	"silly_cheese_bucket_milk_sheep.png", -- texture
	3 -- heals
)

local curd = silly_cheese.register.curd(
	"curd_sheep", -- name
	"Sheep curd", -- description
	"silly_cheese_curd_sheep.png" -- texture
)

local cheese = silly_cheese.register.cheese(
	"czechoslovakian_sheep", -- name
	"Czechoslovakian sheep cheese (Abertam)", -- description
	"silly_cheese_cheese_czsk_abertam.png", -- texture
	curd -- curd, duh
)

silly_cheese.register.aging(curd, cheese)


-- patch petz
silly_cheese.patch_petz(
	"petz:sheep", -- name
	"farming:wheat", -- follow
	milk -- yields
)

-- patch mobs
for mob, _ in ipairs(minetest.registered_entities) do
	if silly_cheese._internal.startswith(mob, "mobs_animal:sheep") then
		silly_cheese.patch_mob(
			mob, -- name
			"farming:wheat", -- follow
			milk -- yields
		)
	end
end
